<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

$mesa=$_GET['mesa'];
$mes=mysqli_query($con,"SELECT * from mesas where mes_id='$mesa' and empresa='$empresa'") or die(mysqli_error($con)); 
$mes1=mysqli_fetch_array($mes);
$mes_estado=$mes1['mes_estado'];

$mes_t=mysqli_query($con,"SELECT count(*) as conta_temp from mesa_temp where mesa_id='$mesa' and sucursal='$sucursal' ") or die(mysqli_error($con));
$reg_t=mysqli_fetch_array($mes_t);
$conta_temp=$reg_t['conta_temp'];

if($mes_estado=='Libre' && $conta_temp>0)
{
    $sql=mysqli_query($con,"DELETE FROM mesa_temp WHERE mesa_id='$mesa'") or  die(mysqli_error($con)); 
}

if($mes_estado=='Ocupada' && $conta_temp==0)
{
    $borrar_sql=mysqli_query($con,"UPDATE mesas SET mes_estado='Libre' WHERE mes_id ='$mesa'") or die(mysqli_error($con));
}

$mes2=mysqli_query($con,"SELECT * from mesas where mes_id='$mesa' and empresa='$empresa'") or die(mysqli_error($con)); 
$reg_mes2=mysqli_fetch_array($mes2);
$mes_estado2=$reg_mes2['mes_estado'];

if($mes_estado2=='Libre')
{
    if ($usu_id<>'0' || $usu_id<>null )
    {
        $can1=mysqli_query($con,"SELECT MAX(pen_id)as pen_id FROM pedido ") or die(mysqli_error($con)); 
        $dato1=mysqli_fetch_array($can1); 
        $pen_id=$dato1['pen_id']+1;

        $can2=mysqli_query($con,"SELECT MAX(pen_n) as pen_n FROM pedido where empresa='$empresa'") or die(mysqli_error($con)); 
        $dato2=mysqli_fetch_array($can2); 
        $pen_n=$dato2['pen_n']+1;

        $cli2=mysqli_query($con,"SELECT * from cliente where clie_destacado='si' and empresa='$empresa'") or die(mysqli_error($con)); 
        $cli2=mysqli_fetch_array($cli2);
        $clie_id=$cli2['clie_id'];

        $insert1=mysqli_query($con, "INSERT INTO pedido (pen_id,pen_n,pen_estado,clie_id,usuario,sucursal,empresa) 
        VALUES ('$pen_id','$pen_n','En Proceso','$clie_id','$usu_id','$sucursal','$empresa')");

        $insert2=mysqli_query($con, "INSERT INTO mesa_temp (mesa_id,usuario,sucursal,pedido_pen_id) 
        VALUES ('$mesa','$usu_id','$sucursal','$pen_id')");

        $registros=mysqli_query($con,"UPDATE mesas Set mes_estado='Ocupada' 
        Where mes_id='$mesa' and empresa='$empresa'") or die(mysqli_error($con));

        header('Location:../P_pedido_nuevo.php?pen_id='.$pen_id.'');
    }
    else
    {
        header('Location:../P_turno.php');
    }
}
else
{
    $registros2=mysqli_query($con,"SELECT * from mesa_temp where mesa_id='$mesa' and sucursal='$sucursal' ") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($registros2);
    $conta=mysqli_num_rows($registros2);
    if($conta>0)
    {
        $pen_id=$reg['pedido_pen_id'];
        header('Location:../P_pedido_nuevo.php?pen_id='.$pen_id.'');
    }
}
?>